local GetSpellInfo = GetSpellInfo

local folder, namespace = ...

namespace.spawnDistance = 3 --Totems spawn 3 yards away from you.

namespace.totemHeadings = {--Headings of where totems spawn relative to your characters direction.
	[1] = 45,	--#1 = 45deg (NW)	fire
	[2] = 315,	--#2 = 315deg (NE)	earth
	[3] = 135,	--#3 = 135deg (SE)	water
	[4] = 225,	--#4 = 225deg (SW)	air
}

namespace.totemInfo = {
	[2484] = {duration=45, range=10, school=2}, --Earthbind Totem
	
	[8071] = {duration=60*5, range=30, school=2}, --Stoneskin Totem
	[8154] = {duration=60*5, range=30, school=2},
	[8155] = {duration=60*5, range=30, school=2},
	[10406] = {duration=60*5, range=30, school=2},
	[10407] = {duration=60*5, range=30, school=2},
	[10408] = {duration=60*5, range=30, school=2},
	[25508] = {duration=60*5, range=30, school=2},
	[25509] = {duration=60*5, range=30, school=2},
	[58751] = {duration=60*5, range=30, school=2},
	[58753] = {duration=60*5, range=30, school=2},
	
	[5730] = {duration=15, range=8, school=2}, --Stoneclaw Totem
	[6390] = {duration=15, range=8, school=2},
	[6391] = {duration=15, range=8, school=2},
	[6392] = {duration=15, range=8, school=2},
	[10427] = {duration=15, range=8, school=2},
	[10428] = {duration=15, range=8, school=2},
	[25525] = {duration=15, range=8, school=2},
	[58580] = {duration=15, range=8, school=2},
	[58581] = {duration=15, range=8, school=2},
	[58582] = {duration=15, range=8, school=2},

	[8075] = {duration=60*5, range=30, school=2}, --Strength of Earth Totem
	[8160] = {duration=60*5, range=30, school=2},
	[8161] = {duration=60*5, range=30, school=2},
	[10442] = {duration=60*5, range=30, school=2},
	[25361] = {duration=60*5, range=30, school=2},
	[25528] = {duration=60*5, range=30, school=2},
	[57622] = {duration=60*5, range=30, school=2},
	[58643] = {duration=60*5, range=30, school=2},

	[8143] = {duration=60*5, range=30, school=2}, --Tremor Totem
	
	[2062] = {duration=60*2, range=0, school=2}, --Earth Elemental Totem
	
	[3599] = {duration=30, range=20, school=1}, --Searing Totem
	[6363] = {duration=35, range=20, school=1},
	[6364] = {duration=40, range=20, school=1},
	[6365] = {duration=45, range=20, school=1},
	[10437] = {duration=50, range=20, school=1},
	[10438] = {duration=55, range=20, school=1},
	[25533] = {duration=60, range=20, school=1},
	[58699] = {duration=60, range=20, school=1},
	[58703] = {duration=60, range=20, school=1},
	[58704] = {duration=60, range=20, school=1},

	[8190] = {duration=21, range=8, school=1}, --Magma Totem
	[10585] = {duration=21, range=8, school=1},
	[10586] = {duration=21, range=8, school=1},
	[10587] = {duration=21, range=8, school=1},
	[25552] = {duration=21, range=8, school=1},
	[58731] = {duration=21, range=8, school=1},
	[58734] = {duration=21, range=8, school=1},
	
	[8181] = {duration=60*5, range=30, school=1}, --Frost Resistance Totem
	[10478] = {duration=60*5, range=30, school=1},
	[10479] = {duration=60*5, range=30, school=1},
	[25560] = {duration=60*5, range=30, school=1},
	[58741] = {duration=60*5, range=30, school=1},
	[58745] = {duration=60*5, range=30, school=1},

	[8227] = {duration=60*5, range=30, school=1}, --Flametongue Totem
	[8249] = {duration=60*5, range=30, school=1},
	[10526] = {duration=60*5, range=30, school=1},
	[16387] = {duration=60*5, range=30, school=1},
	[25557] = {duration=60*5, range=30, school=1},
	[58649] = {duration=60*5, range=30, school=1},
	[58652] = {duration=60*5, range=30, school=1},
	[58656] = {duration=60*5, range=30, school=1},

	[30706] = {duration=60*5, range=40, school=1}, --Totem of Wrath
	[57720] = {duration=60*5, range=40, school=1},
	[57721] = {duration=60*5, range=40, school=1},
	[57722] = {duration=60*5, range=40, school=1},
	
	[2894] = {duration=60*2, range=0, school=1}, --Fire Elemental Totem
	
	[5394] = {duration=60*5, range=30, school=3}, --Healing Stream Totem
	[6375] = {duration=60*5, range=30, school=3},
	[6377] = {duration=60*5, range=30, school=3},
	[10462] = {duration=60*5, range=30, school=3},
	[10463] = {duration=60*5, range=30, school=3},
	[25567] = {duration=60*5, range=30, school=3},
	[58755] = {duration=60*5, range=30, school=3},
	[58756] = {duration=60*5, range=30, school=3},
	[58757] = {duration=60*5, range=30, school=3},

	[5675] = {duration=60*5, range=30, school=3}, --Mana Spring Totem
	[10495] = {duration=60*5, range=30, school=3},
	[10496] = {duration=60*5, range=30, school=3},
	[10497] = {duration=60*5, range=30, school=3},
	[25570] = {duration=60*5, range=30, school=3},
	[58771] = {duration=60*5, range=30, school=3},
	[58773] = {duration=60*5, range=30, school=3},
	[58774] = {duration=60*5, range=30, school=3},

	[8170] = {duration=60*5, range=30, school=3}, --Cleansing Totem
	
	[16190] = {duration=12, range=30, school=3}, --Mana Tide Totem
	
	[8184] = {duration=60*5, range=30, school=3},--Fire Resistance Totem
	[10537] = {duration=60*5, range=30, school=3},
	[10538] = {duration=60*5, range=30, school=3},
	[25563] = {duration=60*5, range=30, school=3},
	[58737] = {duration=60*5, range=30, school=3},
	[58739] = {duration=60*5, range=30, school=3},

	[8512] = {duration=60*5, range=30, school=4},--Windfury Totem
	
	[8177] = {duration=45, range=20, school=4}, --Grounding Totem
	
	[6495] = {duration=60*5, range=0, school=4}, --Sentry Totem
	
	[10595] = {duration=60*5, range=30, school=4}, --Nature Resistance Totem
	[10600] = {duration=60*5, range=30, school=4},
	[10601] = {duration=60*5, range=30, school=4},
	[25574] = {duration=60*5, range=30, school=4},
	[58746] = {duration=60*5, range=30, school=4},
	[58749] = {duration=60*5, range=30, school=4},

	[3738] = {duration=60*5, range=30, school=4}, --Wrath of Air Totem
	
}

namespace.slotSchool = {
	"Fire",		-- 1
	"Earth",	-- 2
	"Water",	-- 3
	"Air",		-- 4
}
